/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DGBSVX {


public static void DGBSVX (String fact,
String trans,
int n,
int kl,
int ku,
int nrhs,
double [][] ab,
double [][] afb,
int [] ipiv,
StringW equed,
double [] r,
double [] c,
double [][] b,
double [][] x,
doubleW rcond,
double [] ferr,
double [] berr,
double [] work,
int [] iwork,
intW info)  {

double [] _ab_copy = MatConv.doubleTwoDtoOneD(ab);
double [] _afb_copy = MatConv.doubleTwoDtoOneD(afb);
double [] _b_copy = MatConv.doubleTwoDtoOneD(b);
double [] _x_copy = MatConv.doubleTwoDtoOneD(x);
Dgbsvx.dgbsvx( fact, trans, n, kl, ku, nrhs,  _ab_copy, 0, ab.length,  _afb_copy, 0, afb.length,  ipiv, 0, equed,  r, 0,  c, 0,  _b_copy, 0, b.length,  _x_copy, 0, x.length, rcond,  ferr, 0,  berr, 0,  work, 0,  iwork, 0, info);

MatConv.copyOneDintoTwoD(ab,_ab_copy);
MatConv.copyOneDintoTwoD(afb,_afb_copy);
MatConv.copyOneDintoTwoD(b,_b_copy);
MatConv.copyOneDintoTwoD(x,_x_copy);
}
}
