/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DGESVD {


public static void DGESVD (String jobu,
String jobvt,
int m,
int n,
double [][] a,
double [] s,
double [][] u,
double [][] vt,
double [] work,
int lwork,
intW info)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
double [] _u_copy = MatConv.doubleTwoDtoOneD(u);
double [] _vt_copy = MatConv.doubleTwoDtoOneD(vt);
Dgesvd.dgesvd( jobu, jobvt, m, n,  _a_copy, 0, a.length,  s, 0,  _u_copy, 0, u.length,  _vt_copy, 0, vt.length,  work, 0, lwork, info);

MatConv.copyOneDintoTwoD(a,_a_copy);
MatConv.copyOneDintoTwoD(u,_u_copy);
MatConv.copyOneDintoTwoD(vt,_vt_copy);
}
}
