/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DLAEBZ {


public static void DLAEBZ (int ijob,
int nitmax,
int n,
int mmax,
int minp,
int nbmin,
double abstol,
double reltol,
double pivmin,
double [] d,
double [] e,
double [] e2,
int [] nval,
double [][] ab,
double [] c,
intW mout,
int [][] nab,
double [] work,
int [] iwork,
intW info)  {

double [] _ab_copy = MatConv.doubleTwoDtoOneD(ab);
int [] _nab_copy = MatConv.intTwoDtoOneD(nab);
Dlaebz.dlaebz( ijob, nitmax, n, mmax, minp, nbmin, abstol, reltol, pivmin,  d, 0,  e, 0,  e2, 0,  nval, 0,  _ab_copy, 0,  c, 0, mout,  _nab_copy, 0,  work, 0,  iwork, 0, info);

MatConv.copyOneDintoTwoD(ab,_ab_copy);
MatConv.copyOneDintoTwoD(nab,_nab_copy);
}
}
