/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DLAHQR {


public static void DLAHQR (boolean wantt,
boolean wantz,
int n,
int ilo,
int ihi,
double [][] h,
double [] wr,
double [] wi,
int iloz,
int ihiz,
double [][] z,
intW info)  {

double [] _h_copy = MatConv.doubleTwoDtoOneD(h);
double [] _z_copy = MatConv.doubleTwoDtoOneD(z);
Dlahqr.dlahqr( wantt, wantz, n, ilo, ihi,  _h_copy, 0, h.length,  wr, 0,  wi, 0, iloz, ihiz,  _z_copy, 0, z.length, info);

MatConv.copyOneDintoTwoD(h,_h_copy);
MatConv.copyOneDintoTwoD(z,_z_copy);
}
}
