/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DLALN2 {


public static void DLALN2 (boolean ltrans,
int na,
int nw,
double smin,
double ca,
double [][] a,
double d1,
double d2,
double [][] b,
double wr,
double wi,
double [][] x,
doubleW scale,
doubleW xnorm,
intW info)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
double [] _b_copy = MatConv.doubleTwoDtoOneD(b);
double [] _x_copy = MatConv.doubleTwoDtoOneD(x);
Dlaln2.dlaln2( ltrans, na, nw, smin, ca,  _a_copy, 0, a.length, d1, d2,  _b_copy, 0, b.length, wr, wi,  _x_copy, 0, x.length, scale, xnorm, info);

MatConv.copyOneDintoTwoD(x,_x_copy);
}
}
