/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DLARFT {


public static void DLARFT (String direct,
String storev,
int n,
int k,
double [][] v,
double [] tau,
double [][] t)  {

double [] _v_copy = MatConv.doubleTwoDtoOneD(v);
double [] _t_copy = MatConv.doubleTwoDtoOneD(t);
Dlarft.dlarft( direct, storev, n, k,  _v_copy, 0, v.length,  tau, 0,  _t_copy, 0, t.length);

MatConv.copyOneDintoTwoD(v,_v_copy);
MatConv.copyOneDintoTwoD(t,_t_copy);
}
}
