/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DLASY2 {


public static void DLASY2 (boolean ltranl,
boolean ltranr,
int isgn,
int n1,
int n2,
double [][] tl,
double [][] tr,
double [][] b,
doubleW scale,
double [][] x,
doubleW xnorm,
intW info)  {

double [] _tl_copy = MatConv.doubleTwoDtoOneD(tl);
double [] _tr_copy = MatConv.doubleTwoDtoOneD(tr);
double [] _b_copy = MatConv.doubleTwoDtoOneD(b);
double [] _x_copy = MatConv.doubleTwoDtoOneD(x);
Dlasy2.dlasy2( ltranl, ltranr, isgn, n1, n2,  _tl_copy, 0, tl.length,  _tr_copy, 0, tr.length,  _b_copy, 0, b.length, scale,  _x_copy, 0, x.length, xnorm, info);

MatConv.copyOneDintoTwoD(x,_x_copy);
}
}
