/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DOPGTR {


public static void DOPGTR (String uplo,
int n,
double [] ap,
double [] tau,
double [][] q,
double [] work,
intW info)  {

double [] _q_copy = MatConv.doubleTwoDtoOneD(q);
Dopgtr.dopgtr( uplo, n,  ap, 0,  tau, 0,  _q_copy, 0, q.length,  work, 0, info);

MatConv.copyOneDintoTwoD(q,_q_copy);
}
}
