/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DSTEDC {


public static void DSTEDC (String compz,
int n,
double [] d,
double [] e,
double [][] z,
double [] work,
int lwork,
int [] iwork,
int liwork,
intW info)  {

double [] _z_copy = MatConv.doubleTwoDtoOneD(z);
Dstedc.dstedc( compz, n,  d, 0,  e, 0,  _z_copy, 0, z.length,  work, 0, lwork,  iwork, 0, liwork, info);

MatConv.copyOneDintoTwoD(z,_z_copy);
}
}
