/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DTGEVC {


public static void DTGEVC (String side,
String howmny,
boolean [] select,
int n,
double [][] a,
double [][] b,
double [][] vl,
double [][] vr,
int mm,
intW m,
double [] work,
intW info)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
double [] _b_copy = MatConv.doubleTwoDtoOneD(b);
double [] _vl_copy = MatConv.doubleTwoDtoOneD(vl);
double [] _vr_copy = MatConv.doubleTwoDtoOneD(vr);
Dtgevc.dtgevc( side, howmny,  select, 0, n,  _a_copy, 0, a.length,  _b_copy, 0, b.length,  _vl_copy, 0, vl.length,  _vr_copy, 0, vr.length, mm, m,  work, 0, info);

MatConv.copyOneDintoTwoD(vl,_vl_copy);
MatConv.copyOneDintoTwoD(vr,_vr_copy);
}
}
