/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DTRSNA {


public static void DTRSNA (String job,
String howmny,
boolean [] select,
int n,
double [][] t,
double [][] vl,
double [][] vr,
double [] s,
double [] sep,
int mm,
intW m,
double [][] work,
int [] iwork,
intW info)  {

double [] _t_copy = MatConv.doubleTwoDtoOneD(t);
double [] _vl_copy = MatConv.doubleTwoDtoOneD(vl);
double [] _vr_copy = MatConv.doubleTwoDtoOneD(vr);
double [] _work_copy = MatConv.doubleTwoDtoOneD(work);
Dtrsna.dtrsna( job, howmny,  select, 0, n,  _t_copy, 0, t.length,  _vl_copy, 0, vl.length,  _vr_copy, 0, vr.length,  s, 0,  sep, 0, mm, m,  _work_copy, 0, work.length,  iwork, 0, info);

MatConv.copyOneDintoTwoD(work,_work_copy);
}
}
