/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.blas;
import java.lang.*;
import org.netlib.util.*;



public class DSYMM {


public static void DSYMM (String side,
String uplo,
int m,
int n,
double alpha,
double [][] a,
double [][] b,
double beta,
double [][] c)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
double [] _b_copy = MatConv.doubleTwoDtoOneD(b);
double [] _c_copy = MatConv.doubleTwoDtoOneD(c);
Dsymm.dsymm( side, uplo, m, n, alpha,  _a_copy, 0, a.length,  _b_copy, 0, b.length, beta,  _c_copy, 0, c.length);

MatConv.copyOneDintoTwoD(c,_c_copy);
}
}
