/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.blas;
import java.lang.*;
import org.netlib.util.*;



public class DSYRK {


public static void DSYRK (String uplo,
String trans,
int n,
int k,
double alpha,
double [][] a,
double beta,
double [][] c)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
double [] _c_copy = MatConv.doubleTwoDtoOneD(c);
Dsyrk.dsyrk( uplo, trans, n, k, alpha,  _a_copy, 0, a.length, beta,  _c_copy, 0, c.length);

MatConv.copyOneDintoTwoD(c,_c_copy);
}
}
