/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DGEBRD {


public static void DGEBRD (int m,
int n,
double [][] a,
double [] d,
double [] e,
double [] tauq,
double [] taup,
double [] work,
int lwork,
intW info)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
Dgebrd.dgebrd( m, n,  _a_copy, 0, a.length,  d, 0,  e, 0,  tauq, 0,  taup, 0,  work, 0, lwork, info);

MatConv.copyOneDintoTwoD(a,_a_copy);
}
}
