/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DGEES {


public static void DGEES (String jobvs,
String sort,
Object select,
int n,
double [][] a,
intW sdim,
double [] wr,
double [] wi,
double [][] vs,
double [] work,
int lwork,
boolean [] bwork,
intW info)  {

double [] _a_copy = MatConv.doubleTwoDtoOneD(a);
double [] _vs_copy = MatConv.doubleTwoDtoOneD(vs);
Dgees.dgees( jobvs, sort, select, n,  _a_copy, 0, a.length, sdim,  wr, 0,  wi, 0,  _vs_copy, 0, vs.length,  work, 0, lwork,  bwork, 0, info);

MatConv.copyOneDintoTwoD(a,_a_copy);
MatConv.copyOneDintoTwoD(vs,_vs_copy);
}
}
