/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DHSEIN {


public static void DHSEIN (String side,
String eigsrc,
String initv,
boolean [] select,
int n,
double [][] h,
double [] wr,
double [] wi,
double [][] vl,
double [][] vr,
int mm,
intW m,
double [] work,
int [] ifaill,
int [] ifailr,
intW info)  {

double [] _h_copy = MatConv.doubleTwoDtoOneD(h);
double [] _vl_copy = MatConv.doubleTwoDtoOneD(vl);
double [] _vr_copy = MatConv.doubleTwoDtoOneD(vr);
Dhsein.dhsein( side, eigsrc, initv,  select, 0, n,  _h_copy, 0, h.length,  wr, 0,  wi, 0,  _vl_copy, 0, vl.length,  _vr_copy, 0, vr.length, mm, m,  work, 0,  ifaill, 0,  ifailr, 0, info);

MatConv.copyOneDintoTwoD(vl,_vl_copy);
MatConv.copyOneDintoTwoD(vr,_vr_copy);
}
}
