/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DLAPTM {


public static void DLAPTM (int n,
int nrhs,
double alpha,
double [] d,
double [] e,
double [][] x,
double beta,
double [][] b)  {

double [] _x_copy = MatConv.doubleTwoDtoOneD(x);
double [] _b_copy = MatConv.doubleTwoDtoOneD(b);
Dlaptm.dlaptm( n, nrhs, alpha,  d, 0,  e, 0,  _x_copy, 0, x.length, beta,  _b_copy, 0, b.length);

MatConv.copyOneDintoTwoD(b,_b_copy);
}
}
