/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DSBEVD {


public static void DSBEVD (String jobz,
String uplo,
int n,
int kd,
double [][] ab,
double [] w,
double [][] z,
double [] work,
int lwork,
int [] iwork,
int liwork,
intW info)  {

double [] _ab_copy = MatConv.doubleTwoDtoOneD(ab);
double [] _z_copy = MatConv.doubleTwoDtoOneD(z);
Dsbevd.dsbevd( jobz, uplo, n, kd,  _ab_copy, 0, ab.length,  w, 0,  _z_copy, 0, z.length,  work, 0, lwork,  iwork, 0, liwork, info);

MatConv.copyOneDintoTwoD(ab,_ab_copy);
MatConv.copyOneDintoTwoD(z,_z_copy);
}
}
