/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class DSBGV {


public static void DSBGV (String jobz,
String uplo,
int n,
int ka,
int kb,
double [][] ab,
double [][] bb,
double [] w,
double [][] z,
double [] work,
intW info)  {

double [] _ab_copy = MatConv.doubleTwoDtoOneD(ab);
double [] _bb_copy = MatConv.doubleTwoDtoOneD(bb);
double [] _z_copy = MatConv.doubleTwoDtoOneD(z);
Dsbgv.dsbgv( jobz, uplo, n, ka, kb,  _ab_copy, 0, ab.length,  _bb_copy, 0, bb.length,  w, 0,  _z_copy, 0, z.length,  work, 0, info);

MatConv.copyOneDintoTwoD(ab,_ab_copy);
MatConv.copyOneDintoTwoD(bb,_bb_copy);
MatConv.copyOneDintoTwoD(z,_z_copy);
}
}
