/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.blas;
import java.lang.*;
import org.netlib.util.*;



public class Dasum {

// c
// c     takes the sum of the absolute values.
// c     jack dongarra, linpack, 3/11/78.
// c     modified 3/93 to return if incx .le. 0.
// c     modified 12/3/93, array(1) declarations changed to array(*)
// c
static double dtemp= 0.0;
static int i= 0;
static int m= 0;
static int mp1= 0;
static int nincx= 0;
// c
static double dasum = 0.0;


public static double dasum (int n,
double [] dx, int _dx_offset,
int incx)  {

dasum = 0.0e0;
dtemp = 0.0e0;
if (n <= 0 || incx <= 0)  
    Dummy.go_to("Dasum",999999);
if (incx == 1)  
    Dummy.go_to("Dasum",20);
// c
// c        code for increment not equal to 1
// c
nincx = n*incx;
{
int _i_inc = incx;
forloop10:
for (i = 1; (_i_inc < 0) ? i >= nincx : i <= nincx; i += _i_inc) {
dtemp = dtemp+Math.abs(dx[(i)- 1+ _dx_offset]);
Dummy.label("Dasum",10);
}              //  Close for() loop. 
}
dasum = dtemp;
Dummy.go_to("Dasum",999999);
// c
// c        code for increment equal to 1
// c
// c
// c        clean-up loop
// c
label20:
   Dummy.label("Dasum",20);
m = (n)%(6) ;
if (m == 0)  
    Dummy.go_to("Dasum",40);
{
forloop30:
for (i = 1; i <= m; i++) {
dtemp = dtemp+Math.abs(dx[(i)- 1+ _dx_offset]);
Dummy.label("Dasum",30);
}              //  Close for() loop. 
}
if (n < 6)  
    Dummy.go_to("Dasum",60);
label40:
   Dummy.label("Dasum",40);
mp1 = m+1;
{
int _i_inc = 6;
forloop50:
for (i = mp1; i <= n; i += _i_inc) {
dtemp = dtemp+Math.abs(dx[(i)- 1+ _dx_offset])+Math.abs(dx[(i+1)- 1+ _dx_offset])+Math.abs(dx[(i+2)- 1+ _dx_offset])+Math.abs(dx[(i+3)- 1+ _dx_offset])+Math.abs(dx[(i+4)- 1+ _dx_offset])+Math.abs(dx[(i+5)- 1+ _dx_offset]);
Dummy.label("Dasum",50);
}              //  Close for() loop. 
}
label60:
   Dummy.label("Dasum",60);
dasum = dtemp;
Dummy.go_to("Dasum",999999);
Dummy.label("Dasum",999999);
return dasum;
   }
} // End class.
