/*
 *  Produced by f2java.  f2java is part of the Fortran-
 *  -to-Java project at the University of Tennessee Netlib
 *  numerical software repository.
 *
 *  Original authorship for the BLAS and LAPACK numerical
 *  routines may be found in the Fortran source, available at
 *  www.netlib.org.
 *
 *  Fortran input file: jlapack.f
 *
 *  The f2j compiler code was written by
 *  David M. Doolin (doolin@cs.utk.edu) and
 *  Keith  Seymour (seymour@cs.utk.edu)
 */

package org.netlib.lapack;
import java.lang.*;
import org.netlib.util.*;



public class Dsecnd {

// *
// *  -- LAPACK auxiliary routine (version 2.0) --
// *     Univ. of Tennessee, Univ. of California Berkeley, NAG Ltd.,
// *     Courant Institute, Argonne National Lab, and Rice University
// *     September 30, 1994
// *
// *  Purpose
// *  =======
// *
// *  DSECND returns the user time for a process in seconds.
// *  This version gets the time from the system function ETIME.
// *
// * =====================================================================
// *
// *     .. Local Scalars ..
static double t1= 0.0;
// *     ..
// *     .. Local Arrays ..
static double [] tarray= new double[(2)];
// *     ..
// *     .. External Functions ..
// *     ..
// *     .. Executable Statements ..
// *
static double dsecnd = 0.0;


public static double dsecnd ()  {

  Etime.etime();
t1 = Etime.etime(tarray,0);
dsecnd = tarray[(1)- 1];
Dummy.go_to("Dsecnd",999999);
// *
// *     End of DSECND
// *
Dummy.label("Dsecnd",999999);
return dsecnd;
   }
} // End class.
